package com.ss.android.ugc.aweme.requesttask.idle;

import X.C15898Aa;
import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C42869Ft;
import X.C42909Fx;
import X.LnX;
import X.M12;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;
import java.util.Locale;
import kotlin.h.b.n;

public final class GeckoStringPatchTask implements C22438Ze {
    static {
        Covode.recordClassIndex(103796);
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public final C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public final C25518ec type() {
        return C25518ec.BOOT_FINISH;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public final void run(Context context) {
        M12.LIZ(context);
        Locale LIZ = LnX.LIZ((String) null, (String) null, context);
        C15898Aa r1 = C15898Aa.LIZ;
        n.LIZIZ(LIZ, "");
        r1.LIZ(context, LIZ);
    }
}
